# Twarc Tutorials and Other Resources

Documentation here is largely auto generated from the code, which may not always be the most user friendly. Others have written great tutorials and other resources relating to using twarc, or working with the data generated by twarc. If you'd like to suggest additional resources that are relevant, please feel to open a pull request or open an issue.

## An Introductory Video from the Australian Digital Observatory

A [six minute video](https://www.youtube.com/watch?v=4DXEeM2AA9Y) by the [Australian Digital Observatory](https://www.digitalobservatory.net.au/) that shows some of the functionality of `twarc2` search, as well as how to use [Twitter's Query Builder](https://developer.twitter.com/apitools/query?query=) in conjunction with twarc.

<iframe width="560" height="315" src="https://www.youtube.com/embed/4DXEeM2AA9Y" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>

## Carpentries Lesson

<https://carpentries-incubator.github.io/twitter-with-twarc/index.html>

Includes a step by step guide to collecting Twitter data using `twarc2`. It includes information on Twitter's JSON format, and how to manage collected data. 

## UVA Library's Scholars' Lab Twarc Tutorial

<https://scholarslab.github.io/learn-twarc/>

A beginner guide that also goes through command line and Python setup. Uses `twarc` for v1.1 API examples, not `twarc2`.

## Guide from TwitterDev

<https://github.com/twitterdev/getting-started-with-the-twitter-api-v2-for-academic-research>

Twitter have released a 101 guide on using the Academic Access endpoints. It uses `twarc2` as a library as opposed to command line, and gives code examples in R too.

## Twitter Data Collection & Analysis

<https://melaniewalsh.github.io/Intro-Cultural-Analytics/04-Data-Collection/12-Twitter-Data.html>

Lesson from Introduction to Cultural Analytics & Python

## Getting Data from Twitter: A twarc tutorial

<https://github.com/alblaine/twarc-tutorial>

Uses `twarc` for `v1.1` endpoints and has step by step examples for using some of the `/utils` scripts.

## UCSB Library Twarc Tutorials

<https://ucsb-collaboratory.github.io/twitter/>

Uses both `twarc` and `twarc2`

## Introduction to full archive searching using twarc v2

<https://github.com/jeffcsauer/twarc-v2-tutorials/blob/master/twarc_fas.md>

An example of using `twarc2` search, but be sure to install twarc using `pip install twarc` not the link to the v2 branch zip.


